import { Registry } from 'vscode/vscode/vs/platform/registry/common/platform';
import { Extensions, registerWorkbenchContribution2, WorkbenchPhase } from 'vscode/vscode/vs/workbench/common/contributions';
import { UserDataProfilesWorkbenchContribution } from './userDataProfile.js';
import { LifecyclePhase } from 'vscode/vscode/vs/workbench/services/lifecycle/common/lifecycle';
import './userDataProfileActions.js';
import { UserDataProfilePreviewContribution } from './userDataProfilePreview.js';

const workbenchRegistry = ( Registry.as(Extensions.Workbench));
registerWorkbenchContribution2(UserDataProfilesWorkbenchContribution.ID, UserDataProfilesWorkbenchContribution, WorkbenchPhase.BlockRestore);
workbenchRegistry.registerWorkbenchContribution(UserDataProfilePreviewContribution, LifecyclePhase.Restored);
